Loading...
Searching...
No Matches
libdar::mask_list Class Reference
API

the mask_list class, matches string that are present in a given file More...

`#include <mask_list.hpp>`

Inherits libdar::mask.

## Public Member Functions

| mask_list (const std::string &filename_list_st, bool case_sensit, const path &prefix, bool include)
| the constructor
| mask_list (const mask_list &ref)=default
| mask_list (mask_list &&ref)=default
mask_list & | operator= (const mask_list &ref)=default
mask_list & | operator= (mask_list &&ref) noexcept=default
virtual bool | is_covered (const std::string &expression) const override
| inherited from the mask class
virtual mask * | clone () const override
| inherited from the mask class
U_I | size () const
| routing only necessary for doing some testing
virtual std::string | dump (const std::string &prefix) const override
| output the listing content
Public Member Functions inherited from libdar::mask
| mask (const mask &ref)=default
| mask (mask &&ref) noexcept=default
mask & | operator= (const mask &ref)=default
mask & | operator= (mask &&ref) noexcept=default
virtual bool | is_covered (const path &chemin) const
| check whether the given path is covered by the mask

## Private Attributes

std::deque< std::string > | contenu
U_I | taille
bool | case_s
bool | including

## Detailed Description

the mask_list class, matches string that are present in a given file

the given file must contain one entry per line (thus no carriage return is allowed in a given entry). Note that the file listed in the file may have a relative path or an absolute path.

Definition at line 50 of file mask_list.hpp.

## Constructor & Destructor Documentation

## mask_list()

libdar::mask_list::mask_list | ( | const std::string & | filename_list_st,
|  | bool | case_sensit,
|  | const path & | prefix,
|  | bool | include
| ) |  |

the constructor

Parameters

  [in] | filename_list_st | is the path to the file listing the filename to select for the operation
  [in] | case_sensit | whether comparison is case sensitive or not
  [in] | prefix | add this prefix to relative paths of the list. The prefix should be either absolute, or "<ROOT>" (in case of operations on an existing archive)
  [in] | include | whether the mask_list is used for file inclusion or file exclusion

## Member Function Documentation

## clone()

virtual mask * libdar::mask_list::clone | ( |  | ) | const

inlineoverridevirtual

inherited from the mask class

Implements libdar::mask.

Definition at line 73 of file mask_list.hpp.

## dump()

virtual std::string libdar::mask_list::dump | ( | const std::string & | prefix | ) | const

overridevirtual

output the listing content

Implements libdar::mask.

## is_covered()

virtual bool libdar::mask_list::is_covered | ( | const std::string & | expression | ) | const

overridevirtual

inherited from the mask class

Implements libdar::mask.

## size()

U_I libdar::mask_list::size | ( |  | ) | const

inline

routing only necessary for doing some testing

Definition at line 76 of file mask_list.hpp.

## Member Data Documentation

## case_s

bool libdar::mask_list::case_s

private

Definition at line 85 of file mask_list.hpp.

## contenu

std::deque<std::string> libdar::mask_list::contenu

private

Definition at line 83 of file mask_list.hpp.

## including

bool libdar::mask_list::including

private

Definition at line 86 of file mask_list.hpp.

## taille

U_I libdar::mask_list::taille

private

Definition at line 84 of file mask_list.hpp.

The documentation for this class was generated from the following file:

- mask_list.hpp